@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --broken-white-readable:#f8f9fa;
    --pink: #FFE4E4;
    --lilas: #f0bfff;
    --rose-poudre: #f7d5d5;
    --color_background: #c3eeff;
    --pink-flash: rgb(255, 0, 162);
    --purple: #ae8bff;
    --mid-dark-purple:rgb(175, 67, 175);
    --deep-purple:#3a0ca3;
    --purple-bottom: #d0bcff;
    --soft-blue-violet:#5e60ce;
    --blue-elements: #8dbeffcc;
    --blue-header: #8dbeff;
    --blue-title:rgb(57, 57, 167);
    --blue:rgb(65, 65, 155);
    --neutral-dark-blue:#2e2e48;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
    scrollbar-width: thin;
    scrollbar-color: #ccc transparent;
}

body {
    background-color: var(--color_background);
    padding-top: 39px; /* Ajuster selon la hauteur du header */
}

/* Scrollbar */
::-webkit-scrollbar {
    width: 8px;
    height: 5px;
}

::-webkit-scrollbar-thumb {
    background-color: #ccc;
}

/* Styles du bouton burger */
/*.checkbtn {
    font-size: 30px;
    color: white;
    cursor: pointer;
    display: none; /* Caché par défaut sur desktop */

.checkbtn {
    position: absolute;
    right: 20px;
    top: 20px;
    z-index: 11;
    font-size: 30px;
    color: var(--black);
    float: right;
    line-height: 80px;
    margin-right: 40px;
    cursor: pointer;
    display: none;
}

#check {
    display: none;
}


/* Header */
header {
    height: 40px; /* Ajuster selon la hauteur du header dans index.html */
    background: var(--blue-header);
    border-bottom: var(--deep-purple) solid 1px;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 1000;  
}


header.stiky {
    border-bottom: 1px solid var(--pink-flash);
}

.logo {
    position: absolute;
    left: 20px; /* Distance du bord gauche */
    top: 50%;
    font-size: 25px;
    font-weight: bold;
    color: var(--deep-purple);
    transform: translateY(-50%); /* Centre verticalement */
    text-decoration: none; /* Ajout pour enlever le soulignement par défaut */
    transition: color 0.3s ease;
    
}

.logo:hover {
    color: var(--broken-white-readable); /* Couleur au survol, si je veux un changement de couleur */
    text-shadow: 0 4px 10px var(--soft-blue-violet);
}

a{
    text-decoration: none;
} 


/* Correction de la hauteur minimale des sections */
section {
    min-height: 100vh; 
    padding: 30px;
}



/* Section Accueil */
.Accueil {
    min-height: 100vh;
    border: 1px var(--pink-flash);
    background: linear-gradient(#8a95ff, #e2ab63);
    position: relative;
    display: flex;
    align-items: center;
}

.index-accueil_content{
    display: flex;
    text-align: center;
    flex-direction: column;
    width: 100%;
    
}

.text-accueil p {
    font-size: 30px;
    text-align: center;
    font-family: 'Poppins', sans-serif;
    color: rgb(36, 36, 105);
}


.image-accueil{
    width: 100%;
    text-align: center; /* Pour centrer l'image si nécessaire */
    
}


.image-accueil img{
    width: 25%;
    object-fit: contain; /* Empêcher l'image d'être coupée */
    background-color: rgb(36, 36, 105);
    border: #ffffff solid 1px;
    border-radius: 80%;
    margin-top: 2%;
}

/* DEBUT CODE POP-UP*/

/* Code pour les pop-ups */
.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);  /* Fond semi-transparent légèrement plus sombre */
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

/* Code pour le contenu du pop-up */
.popup-content {
    background-color: var(--neutral-dark-blue);  /* Fond violet pour le pop-up */
    padding: 25px;
    border-radius: 12px;
    width: 80%;
    max-width: 600px;
    position: relative;
    box-shadow: 0 4px 10px var(--purple-bottom);
    text-align: center;
}

/* Titre du pop-up */
.popup-content h2 {
    margin-bottom: 20px;
    color: var(--broken-white-readable); /* Utilisation de la couleur pour bien ressortir */
    font-size: 1.5rem;
}

/* Styles des boutons */
.popup-content button {

    display: flex;
    justify-content: center;  /* Centre horizontalement */
    background-color: var(--soft-blue-violet);  
    border: none;
    padding: 12px 24px;
    margin: 12px 8px;
    cursor: pointer;
    border-radius: 6px;
    font-size: 16px;
    transition: background-color 0.3s ease;
}

.popup-content button a {
    color: rgb(255, 255, 255);
    text-decoration: none;
    display: flex;
}

.popup-content button:hover {
    background-color: var(--deep-purple);  /* Changer la couleur au survol */
}

/* Position et style de la croix pour fermer le pop-up */
.popup .close {
    position: absolute;
    top: 15px;
    right: 15px;
    font-size: 35px;
    color: var(--broken-white-readable);
    cursor: pointer;
    font-weight: bold;
    transition: color 0.3s ease;
}


/* FIN CODE POP-UP*/

.liste {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}






